Product comparison · 2 network switches

Allied Telesis AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey vs LevelOne GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

Add a product
  • 34specifications compared
  • 13differ
  • 21identical
  • 45known for one product only

Key differences

  • Switching capacity
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:12.8 Gbit/s
    • GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:52 Gbit/s
  • Throughput
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:9.5 Mpps
    • GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:39 Mpps
  • Rack mounting
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:Yes
    • GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:No
  • Product colour
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:Grey
    • GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:Black
  • Power over Ethernet plus (PoE+) ports quantity
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:4
    • GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:24
  • Total Power over Ethernet (PoE) budget
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:193 W
    • GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:370 W
  • Storage temperature (T-T)
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:5 - 90 °C
    • GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:-40 - 70 °C
  • Operating relative humidity (H-H)
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:-25 - 70%
    • GEP-2650 network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:10 - 90%

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-FS750/28PS-50, GEP-2650
79 specifications
Management featuresidentical
Switch typeManagedManaged
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Web-based managementYesYes
System event logKnown for oneYesUnknown — not stated by the source
MIB supportKnown for oneRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBUnknown — not stated by the source
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantity2424
Basic switching RJ-45 Ethernet ports typeDiffersFast Ethernet (10/100)Gigabit Ethernet (10/100/1000)
Fast Ethernet (copper) ports quantityKnown for one24Unknown — not stated by the source
Gigabit Ethernet (copper) ports quantityKnown for one2Unknown — not stated by the source
Installed SFP modules quantityKnown for one0Unknown — not stated by the source
Installed SFP+ modules quantityKnown for one0Unknown — not stated by the source
Combo SFP ports quantityKnown for one2Unknown — not stated by the source
SFP module slots quantityKnown for oneUnknown — not stated by the source2
Fiber optic connectorKnown for oneUnknown — not stated by the sourceSFP
Console portKnown for oneUnknown — not stated by the sourceRJ-45
Network1 differ
Networking standardsDiffersIEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.1Q, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3u, IEEE 802.3z
10G supportNoNo
Port mirroringYesYes
Broadcast storm controlKnown for oneYesUnknown — not stated by the source
Flow control supportKnown for oneYesUnknown — not stated by the source
Head-of-line (HOL) blockingKnown for oneYesUnknown — not stated by the source
Link aggregationYesYes
Rate limitingKnown for oneYesUnknown — not stated by the source
Spanning tree protocolKnown for oneYesUnknown — not stated by the source
VLAN supportYesYes
Virtual LAN featuresTagged VLAN, Port-based VLANTagged VLAN, Port-based VLAN
Number of VLANs256256
MAC address auto-aging supportedKnown for oneUnknown — not stated by the sourceYes
MAC address auto-learning supportedKnown for oneUnknown — not stated by the sourceYes
Data transmission2 differ
MAC address table8000 entries8000 entries
Switching capacityDiffers12.8 Gbit/s52 Gbit/s
ThroughputDiffers9.5 Mpps39 Mpps
Number of queuesKnown for one4Unknown — not stated by the source
Jumbo frames supportYesYes
Packet forwarding rate (1 Gbps)Known for one1488000 ppsUnknown — not stated by the source
Packet forwarding rate (10 Mbps)Known for one14880 ppsUnknown — not stated by the source
Packet forwarding rate (100 Mbps)Known for one148800 ppsUnknown — not stated by the source
Packet buffer memoryKnown for one4.1 MBUnknown — not stated by the source
Store-and-forwardKnown for oneUnknown — not stated by the sourceYes
Number of trunksKnown for oneUnknown — not stated by the source16
Jumbo framesKnown for oneUnknown — not stated by the source10240
Securityidentical
DHCP featuresDHCP clientDHCP client
Access Control List (ACL)Known for oneYesUnknown — not stated by the source
IGMP snoopingYesYes
AuthenticationKnown for oneMAC-based authenticationUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
Multicast featuresidentical
Multicast supportYesYes
Number of multicast groups filteredKnown for one256Unknown — not stated by the source
Design2 differ
Rack mountingDiffersYesNo
Form factorKnown for one1UUnknown — not stated by the source
Product colourDiffersGreyBlack
StackableKnown for oneUnknown — not stated by the sourceNo
LED indicatorsKnown for oneUnknown — not stated by the sourceYes
Poweridentical
Power sourceKnown for oneACUnknown — not stated by the source
AC input voltage100 - 240 V100 - 240 V
AC input frequency50 - 60 Hz50 - 60 Hz
Power consumption (max)Known for one241 WUnknown — not stated by the source
Power supply includedKnown for oneUnknown — not stated by the sourceYes
Power consumption (typical)Known for oneUnknown — not stated by the source370 W
Power over Ethernet (PoE)2 differ
Power over Ethernet (PoE)YesYes
Power over Ethernet (PoE) ports quantityKnown for one24Unknown — not stated by the source
Power over Ethernet plus (PoE+) ports quantityDiffers424
Total Power over Ethernet (PoE) budgetDiffers193 W370 W
Power over Ethernet (PoE) power per portKnown for oneUnknown — not stated by the source15.4 W
Operational conditions2 differ
Operating temperature (T-T)0 - 40 °C0 - 40 °C
Storage temperature (T-T)Differs5 - 90 °C-40 - 70 °C
Operating relative humidity (H-H)Differs-25 - 70%10 - 90%
Storage relative humidity (H-H)5 - 95%5 - 95%
Weight & dimensions2 differ
WidthDiffers410 mm440 mm
DepthDiffers210 mm315 mm
Height44 mm44 mm
Weight5 kg5 kg
Packaging content1 differ
Cables includedDiffersACAC, LAN (RJ-45)
Logistics dataidentical
Harmonized System (HS) codeKnown for one85176990Unknown — not stated by the source
Optical fiberidentical
Fiber ethernet cabling technologyKnown for oneUnknown — not stated by the source100BASE-X, 1000BASE-X
Performanceidentical
Internal memoryKnown for oneUnknown — not stated by the source128 MB
Packaging dataidentical
Mounting brackets includedKnown for oneUnknown — not stated by the sourceYes
Resource CDKnown for oneUnknown — not stated by the sourceYes
Certificatesidentical
CertificationKnown for oneUnknown — not stated by the sourceCE

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons